Package org.gradle.api.tasks.bundling

# Enum ZipEntryCompression

java.lang.Object
java.lang.Enum<ZipEntryCompression>
org.gradle.api.tasks.bundling.ZipEntryCompression

All Implemented Interfaces:
  `Serializable`, `Comparable<ZipEntryCompression>`, `Constable`

public enum ZipEntryCompression extends Enum<ZipEntryCompression>
Specifies the compression level of an archives contents.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFLATED`
  Contents are compressed using the 'deflate' algorithm
  `STORED`
  Contents are not compressed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ZipEntryCompression`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ZipEntryCompression[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STORED

    public static final ZipEntryCompression STORED
    Contents are not compressed

  - ### DEFLATED

    public static final ZipEntryCompression DEFLATED
    Contents are compressed using the 'deflate' algorithm

- ## Method Details

  - ### values

    public static ZipEntryCompression[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ZipEntryCompression valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null